# Akamai\Open\EdgeGrid\Handler\Authentication

#### Akamai {OPEN} EdgeGrid Auth Guzzle Middleware Handler

## Synopsis

class Authentication {

- // members
- protected Authentication $signer;

- // methods
- public void setSigner()
- public void __invoke()
- public mixed __call()
- public static void createFromEdgeRcFile()

}

## Coverage

Methods | 100% | 4 / 4
Lines | 100% | 29 / 29

## Members

#### protected

- $signer — \Akamai\Open\EdgeGrid\Authentication

## Methods

#### public

- __call() — Proxy to the underlying signer object
- __invoke()
- createFromEdgeRcFile()
- setSigner()